﻿using HardwareShopContracts.BindingModels;
using HardwareShopContracts.BusinessLogicsContracts;
using HardwareShopContracts.SearchModels;
using HardwareShopContracts.ViewModels;
using Microsoft.AspNetCore.Mvc;

namespace HardwareShopRestApi.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class CommentController : Controller
    {
        private readonly ILogger _logger;

        private readonly ICommentLogic _commentLogic;

        public CommentController(ICommentLogic commentLogic, ILogger<UserController> logger)
        {
            _logger = logger;
            _commentLogic = commentLogic;
        }
    }
}
